//=============================================================================
// MPU ý 
//
// by nexp76(nexp76@naver.com)
// [system.h]
//=============================================================================

/*

*/
#ifndef	_SYSTEM_H_
#define	_SYSTEM_H_
//-----------------------------------------------------------------------------
// UTILITY DEFINATION
#define Sbi(Port, Value)        	(Port |= Value)
#define Cbi(Port, Value)            (Port &= (~Value))
#define Tbi(Port, Value)            (Port ^= Value)

#define MSB(x)    					(((x) >> 8) & 0xFF)
#define LSB(x)    					((x) & 0xFF)
#define ABS(x)						((x<0)?x:x*=-1))

#define TRUE						1
#define FALSE						0

#define BIT0						0x01
#define BIT1						0x02
#define BIT2						0x04
#define BIT3						0x08
#define BIT4						0x10
#define BIT5						0x20
#define BIT6						0x40
#define BIT7						0x80
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
#include "p33fxxxx.h"
#include "config.h"
#include "delay.h"

#define XTx4PLL    0   //	7.3728 MIPs (for XTx4PLL)
#define XTx8PLL    1   //   14.745600 MIPs (for XTx8PLL)
#define XTx16PLL   0   //   29.491200 MIPs (for XTx16PLL)

#define FCY 8000000      //Instruction cycle rate (Osc x PLL / 4)
#define FPWM 10000            //PWM freq
#define MILLISEC FCY/8000   // 1 mSec delay constant


_FOSCSEL(FNOSC_PRIPLL);
_FOSC(FCKSM_CSDCMD & OSCIOFNC_OFF & POSCMD_XT);
_FWDT(FWDTEN_OFF);

/*
void Delay(unsigned int N)
{
unsigned int j;
while(N--)
  //for(j=0;j < MILLISEC;j++);
  for(j=0;j < 1000;j++);
}*/

void SystemInit(void)
{
}

#endif
