//=============================================================================
// [dsPIC33 EVM] Test Program
// by nexp76(nexp76@naver.com) http://cafe.naver.com/elab
//
// [led_shift.c]
//=============================================================================

/*
 - Led Shift Control
*/

#include "..\00_hal\system.h"

//----------------------------------------------
// LED Driver
// PB0 ~ PB7
#define LED_PORT			PORTB
#define LED_INIT()			(TRISB &= 0xFF00)
//----------------------------------------------

//-----------------------------------------------------------------------------
// Main Routine
//-----------------------------------------------------------------------------
int main(void)
{
	unsigned char cnt = 0;

	//Init System
	SystemInit();

	LED_INIT();

	while(1)
	{
		//LED Shift
		LED_PORT = ~(0x01 << (cnt++%8));

		Delay(500);
	}
}
//-----------------------------------------------------------------------------



